dlasdt.f(3)

NAME
dlasdt.f -

SYNOPSIS

  Functions/Subroutines
subroutine dlasdt (N, LVL, ND, INODE, NDIML, NDIMR, MSUB)
DLASDT creates a tree of subproblems for bidiagonal divide and conquer. Used by sbdsdc.

Function/Subroutine Documentation

  subroutine dlasdt (integerN, integerLVL, integerND, integer, dimension( * )INODE, integer, dimension( * )NDIML, integer, dimension( * )NDIMR, integerMSUB)

Purpose:

     DLASDT creates a tree of subproblems for bidiagonal divide and
     conquer.

Parameters:
    N

              N is INTEGER
              On entry, the number of diagonal elements of the
              bidiagonal matrix.

    LVL

              LVL is INTEGER
              On exit, the number of levels on the computation tree.

    ND

              ND is INTEGER
              On exit, the number of nodes on the tree.

    INODE

              INODE is INTEGER array, dimension ( N )
              On exit, centers of subproblems.

    NDIML

              NDIML is INTEGER array, dimension ( N )
              On exit, row dimensions of left children.

    NDIMR

              NDIMR is INTEGER array, dimension ( N )
              On exit, row dimensions of right children.

    MSUB

              MSUB is INTEGER
              On entry, the maximum row dimension each subproblem at the
              bottom of the tree can be of.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Contributors:
    Ming Gu and Huan Ren, Computer Science Division, University of California at Berkeley, USA

Definition at line 106 of file dlasdt.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.